Subject: Re: Check if make supports nested variables is done twice when using silent rules

From: Eric Blake <[email-masked]>
Date: Fri, 28 Sep 2018 15:36:40 -0500

On 9/28/18 1:47 PM, Jacob Kroon wrote:
> Hi,
> 
> If I use AM_SILENT_RULES([yes]) in my configure.ac, when I run the
> configure scripts I see this:
> ...
> checking whether make supports nested variables... yes
> checking whether make supports nested variables... (cached) yes
> ...
> 
> If I remove AM_SILENT_RULES, the test is only done once.
> 
> Is this intended behaviour ?

I don't know. But AM_SILENT_RULES is supplied by automake, not autoconf, 
so it's better to ask your question on the correct list.  I've gone 
ahead and updated the CC's accordingly.

> 
> I'm on an updated Debian Stretch system using (Debian version syntax):
> autoconf 2.69-10
> automake 1:1.15-6
> 
> Regards Jacob
> 
> 

-- 
Eric Blake, Principal Software Engineer
Red Hat, Inc.           +1-919-301-3266
Virtualization:  qemu.org | libvirt.org